import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdFeedbackState {
    open: boolean;
    error?: Record<string, unknown>;
}
export declare const nerdFeedbackSlice: import("@reduxjs/toolkit").Slice<NerdFeedbackState, {
    setOpenFeedbackDialog: (state: import("immer/dist/internal").WritableDraft<NerdFeedbackState>, action: PayloadAction<{
        open: boolean;
        error?: Record<string, unknown>;
    }>) => import("immer/dist/internal").WritableDraft<NerdFeedbackState>;
}, "nerdFeedback">;
export declare const setOpenFeedbackDialog: import("@reduxjs/toolkit").ActionCreatorWithPayload<{
    open: boolean;
    error?: Record<string, unknown> | undefined;
}, "nerdFeedback/setOpenFeedbackDialog">;
export declare const nerdFeedbackReducer: import("redux").Reducer<NerdFeedbackState, import("redux").AnyAction>;
export declare const nerdFeedbackOpenSelector: ((state: AppState) => boolean) & import("reselect").OutputSelectorFields<(args_0: boolean) => boolean, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
export declare const nerdFeedbackErrorSelector: ((state: AppState) => Record<string, unknown> | undefined) & import("reselect").OutputSelectorFields<(args_0: Record<string, unknown> | undefined) => Record<string, unknown> | undefined, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
